%define anolis_release 1

# Must be kept in sync with xorg-x11-fonts!
%global _x11fontdir %{_datadir}/X11/fonts

Summary:    X.Org X11 font utilities
Name:       xorg-x11-font-utils
Epoch:      2
Version:    1.4.0
Release:    %{anolis_release}%{?dist}
License:    MIT
URL:        http://www.x.org

Source0:    https://www.x.org/releases/individual/font/font-util-%{version}.tar.xz
# helper script used in post for xorg-x11-fonts
Source5:    xorg-x11-fonts-update-dirs
Source6:    xorg-x11-fonts-update-dirs.1

BuildRequires:  gcc make
BuildRequires:  pkgconfig(xorg-macros) >= 1.8

Provides:   font-util = %{version}

Provides:   font-utils = %{EVR}
Provides:   ucs2any = %{version}

Obsoletes:  bdftopcf < 1.1-1
Obsoletes:  fonttosfnt < 1.2.1-1
Obsoletes:  mkfontdir < 1.2.1-1
Obsoletes:  mkfontscale < 1.2.1-1

%description
X.Org X11 font utilities required for font installation, conversion, and
generation.

%prep
%autosetup -n font-util-%{version}

%build
%configure --with-fontrootdir=%{_x11fontdir}
%make_build

%install
%make_install

install -m 744 %{SOURCE5} $RPM_BUILD_ROOT%{_bindir}/xorg-x11-fonts-update-dirs
sed -i "s:@DATADIR@:%{_datadir}:" $RPM_BUILD_ROOT%{_bindir}/xorg-x11-fonts-update-dirs

install -m 744 -p -D %{SOURCE6} $RPM_BUILD_ROOT%{_mandir}/man1/xorg-x11-fonts-update-dirs.1

find $RPM_BUILD_ROOT -name bdftruncate\* -print0 | xargs -0 rm -f

%files
%doc README.md
%license COPYING
%{_bindir}/ucs2any
%{_bindir}/xorg-x11-fonts-update-dirs
%{_datadir}/aclocal/fontutil.m4
%{_libdir}/pkgconfig/fontutil.pc
%{_mandir}/man1/ucs2any.1*
%{_mandir}/man1/xorg-x11-fonts-update-dirs.1*
%dir %{_x11fontdir}
%dir %{_x11fontdir}/util
%{_x11fontdir}/util/map-*

%changelog
* Sun Feb 26 2023 Funda Wang <fundawang@yeah.net> - 2:1.4.0-1
- Import package for anolis 23
